{
  "name": "app-starter",
  "version": "1.0.0",
  "scripts": {
    "api:start": "node build/index.js",
    "api:build": "node --max-old-space-size=8192 node_modules/typescript/bin/tsc",
    "api:dev": "ts-node-dev --watch -- src/index.ts",
    "api:test": "NODE_ENV=test ts-mocha src/**/*.spec.ts",
    "api:lint-staged": "lint-staged",
    "api:validate": "npm-run-all test lint-staged",
    "api:coverage": "nyc npm run test",
    "api:db-utils": "sh ./src/db/scripts/db-utils.sh",
    "api:sequelize": "cd ./src/db/solo && sequelize",
    "frontend:start": "react-scripts start",
    "frontend:build": "react-scripts build",
    "frontend:test": "react-scripts test",
    "front:eject": "react-scripts eject",
    "build": "npm-run-all api:build frontend:build",
    "test": "npm-run-all api:test frontend:test",
    "docker:build": "sh ./scripts/build.sh",
    "clean": "rm -Rf node_modules ./services/api/node_modules ./services/frontend/node_modules ./services/api/package.json  ./services/frontend/package.json"
  },
  "dependencies": {
    "axios": "^0.19.2",
    "bcryptjs": "^2.4.3",
    "body-parser": "^1.19.0",
    "cookie-parser": "^1.4.5",
    "cors": "^2.8.5",
    "express": "^4.17.1",
    "express-jwt": "^6.0.0",
    "jsonwebtoken": "^8.5.1",
    "lodash": "^4.17.15",
    "moment": "^2.27.0",
    "morgan": "^1.10.0",
    "nodemailer": "^6.4.10",
    "nodemailer-mailgun-transport": "^2.0.0",
    "pg": "^8.2.1",
    "react": "^16.13.1",
    "react-dom": "^16.13.1",
    "react-scripts": "3.4.1",
    "sequelize": "^6.3.0",
    "sequelize-cli": "6.2.0",
    "socket.io": "^2.3.0"
  },
  "devDependencies": {
    "@testing-library/jest-dom": "^5.11.0",
    "@testing-library/react": "^10.4.4",
    "@testing-library/user-event": "^12.0.11",
    "@types/expect": "^24.3.0",
    "@types/express": "^4.17.7",
    "@types/jest": "^26.0.4",
    "@types/mocha": "^7.0.2",
    "@types/node": "^14.0.18",
    "@types/react": "^16.9.41",
    "@types/react-dom": "^16.9.8",
    "chai": "^4.2.0",
    "husky": "^4.2.5",
    "lint-staged": "^10.2.11",
    "mocha": "^8.0.1",
    "nodemon": "^2.0.4",
    "npm-run-all": "^4.1.5",
    "prettier": "^2.0.5",
    "rimraf": "^3.0.2",
    "ts-mocha": "^7.0.0",
    "ts-node": "^8.10.2",
    "ts-node-dev": "1.0.0-pre.50",
    "typescript": "^3.9.6"
  },
  "eslintConfig": {
    "extends": "react-app"
  },
  "browserslist": {
    "production": [
      ">0.2%",
      "not dead",
      "not op_mini all"
    ],
    "development": [
      "last 1 chrome version",
      "last 1 firefox version",
      "last 1 safari version"
    ]
  }
}
